summaryrefslogtreecommitdiffstats
path: root/src/boost/libs/beast/tools/retry.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/boost/libs/beast/tools/retry.sh')
-rwxr-xr-xsrc/boost/libs/beast/tools/retry.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/boost/libs/beast/tools/retry.sh b/src/boost/libs/beast/tools/retry.sh
new file mode 100755
index 000000000..13b30e8e1
--- /dev/null
+++ b/src/boost/libs/beast/tools/retry.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+for i in {1..3}
+do
+ $1 "${@:2:99}" && exit 0;
+ export BEAST_RETRY="true"
+done
+
+exit 1